%define name xtraceroute
%define version 0.9.2
%define prefix %{_prefix}

Summary: Graphical OpenGL version of traceroute
Name: %{name}
Version: %{version}
Release: %mkrel 4
License: GPL
Group: Monitoring
Source0: http://www.beebgames.com/sw/%{name}-%{version}.tar.bz2
Source10: %{name}.16.png
Source11: %{name}.32.png
Source12: %{name}.48.png
URL: http://www.beebgames.com/sw/gtk-ports.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: autoconf2.5
BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: gtkglarea2-devel
BuildRequires: Mesa-common-devel traceroute
BuildRequires: /usr/bin/host
BuildRequires: recode
BuildRequires: gettext-devel
BuildRequires: desktop-file-utils
Requires: traceroute /usr/bin/host

%description
Xtraceroute is a graphical traceroute utility that shows the path your IP
packets travel on a 3 dimensional rendered globe. Be sure to download the NDG
data files mentioned in the INSTALL document too.

%prep
%setup -q
autoreconf

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
%makeinstall xtraceroutedatadir=%{?buildroot:%{buildroot}}%{_datadir}/%{name}

install xtraceroute.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
touch $RPM_BUILD_ROOT%{_datadir}/xtraceroute/hosts.cache
touch $RPM_BUILD_ROOT%{_datadir}/xtraceroute/site_hosts.cache
touch $RPM_BUILD_ROOT%{_datadir}/xtraceroute/site_networks.cache

mv $RPM_BUILD_ROOT/%{_bindir}/%{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}.real
cat > $RPM_BUILD_ROOT/%{_bindir}/%{name} << EOF
#!/bin/sh
if [ ! -d \$HOME/.xt ]; then
		mkdir \$HOME/.xt
fi
%{_bindir}/%{name}.real "\$@"
EOF
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/%{name}

# icon
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

recode ISO-8859-15..UTF-8 %{name}.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --add-category="Monitor" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}/*
%{_datadir}/xtraceroute
%{_datadir}/pixmaps/xtraceroute.png
%{_mandir}/*/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 0.9.2-4mdv2007.0
+ Revision: 110134
- drop unused icon (and fix upload, #28272)
- bunzip2 png files
- remove old menu
- remove unneeded perl requires

* Thu Nov 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.2-3mdv2007.1
+ Revision: 75965
- add BuildRequires: gettext-devel desktop-file-utils
- Import xtraceroute



* Thu Sep  7 2006 Olivier Blin <blino@n4.mandriva.com> 0.9.2-2mdv2007.0
- use UTF-8 encoding for the desktop file (#25084)

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9.2-1mdv2007.0
- from Cris Boylan <crisuk@yahoo.com>:
  - 0.9.2

* Fri Jul  7 2006 Olivier Blin <oblin@mandriva.com> 0.9.1-14mdv2007.0
- from Cris Boylan <crisuk@yahoo.com>:
  o gtk2 port (#23570)
  o use gtk2 BuildRequires
- split gtk2 port diff as Patch0
- add XDG menu

* Fri Sep  9 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.1-13mdk
- menudir

* Fri Nov 19 2004 Olivier Blin <blino@mandrake.org> 0.9.1-12mdk
- birthday rebuild

* Tue Jul 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-11mdk
- buildrequires fix, both gtkglarea implementations provide gtkglarea-devel

* Wed Apr 30 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-10mdk
- new version

* Mon Apr 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.0-10mdk
- rebuild to remove an explicit email from this changelog, per request

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.9.0-9mdk
- rebuild for perl 5.8.0

* Fri Jun 14 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.0-8mdk
- This requires BuildRequires perl-devel.

* Tue May 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.0-7mdk
- add patch from Sven Goethel <sgoethel@jausoft.com> that adds lookups
  against CAIDA's NetGeo database (suggested by Nick Brown
  <nickbroon at blueyonder dot co dot uk>)

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-6mdk
- xpm -> png icons

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.0-5mdk
- fix large-icon-not-in-package

* Tue Jul 17 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.0-4mdk
- BuildRequires: /usr/bin/host, in addition to Requires

* Wed Jul  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.0-3mdk
- requires /usr/bin/host to work properly

* Tue Jul  3 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-2mdk
- BuildRequires: gdk-pixbuf-devel
- Removed BuildRequires: gtk+-devel
- Removed BuildRequires: libtiff-devel

* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.0-1mdk
- new release

* Mon Jun 18 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.14-21mdk
- Remove BuildRequires: Mesa-devel
- BuildRequires: libtiff-devel Mesa-common-devel

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-20mdk
- fix summary

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-19mdk
- add traceroute in BuildRequires

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-18mdk
- rebuild to get the requires

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-17mdk
- use %find_lang

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-16mdk
- automatically added packager tag

* Fri Aug 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-15mdk
- rebuild to remove link against libglide

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.8.14-14mdk
- BM
- Geoffrey Lee <snailtalk@mandrakesoft.com> 
  - tmppath and update_menus and clean_menus macro

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.14-13mdk
- Use makeinstall macros.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-12mdk
- removed gnome menu entry
- added 32x32 icon
- cleanup of specfile
- added requirement on `traceroute', how could we forget it?

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-11mdk
- added icon

* Sun Apr  2 2000 Pixel <pixel@mandrakesoft.com> 0.8.14-10mdk
- rebuild for new libgtkgl

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-9mdk
- menu entry
- new groups

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- BuildRequires gtkglarea.
- Use %|configure.

* Mon Jan 03 2000 John Buswell <johnb@mandrakesoft.com>
- Clean source tree
- Touches site_hosts.cache and site_networks.cache (to quiet them)
- spec file fixes new OpenGL naming of libs (find/remove of Mesa)
- removes illegal instruction error from K6/K6-2/K6-3 processors

* Fri Dec 31 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Removed config.cache from tar archive...
- Make it quiet about hosts.cache / networks.cache
	( touch them ). 

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)

* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Wed Feb 10 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- First try at an RPM
